{% extends 'base.html.twig' %}

{% block title %}Hello CategoryController!
{% endblock %}


{% block body %}
	<div class="body">
		<div class="leftBarre">
			<button class="styled" type="button">

				<a href="{{ path('app_board_new',{'category_id':category.id}) }}">
					Créer un nouveau tableau
				</a>
			</button>
			{% if is_granted('ROLE_ADMIN') %}
				<button class="styled" type="button">

					<a href="{{ path('app_category_delete',{'id':category.id}) }}">
						Supprimer la catégorie
					</a>
				</button>
			{% endif %}
		</div>
		<div class="main">
			<table>
				<thead>
					<tr>
						<th>
							Tableau
						</th>
						<th>
							Sujet
						</th>
						<th>
							last post
						</th>
					</tr>
				</thead>
				<tbody>
					{% for board in boards %}
						<tr>
							<td>
								<a href="{{ path('app_board', {'id':board.id} ) }}">
									{{ board.name }}
								</a>
							</td>
							<td>
								{{ board.topics|length }}
							</td>
							<td>
								date nom
							</td>
						</tr>
					{% endfor %}
				</tbody>
			</table>
		</div>
	{% endblock %}
